package main

import (
	"os"

	"git.ar21.de/yolokube/grafana-backuper/internal/cmd"
	"git.ar21.de/yolokube/grafana-backuper/internal/config"
)

func main() {
	cfg := &config.Config{}

	rootCmd := cmd.NewRootCommand(cfg)
	rootCmd.AddCommand(
		cmd.NewBackupCommand(cfg),
		cmd.NewRestoreCommand(cfg),
	)

	if err := rootCmd.Execute(); err != nil {
		os.Exit(1)
	}
}
